do 
   local MyUnitIdTable = { 
	  'tcaa0301',
	  'tcas0201',
	  'tcas0301',
	  'tcau0201',
	  'tcau0401',
	  'tcba0401',
	  'tcbc0201',
	  'tcba0401',
	  'tcla0301',
	  'tclc0301',
	  'tclu0302',
      'tcsa0201',
      'tcsc0101',
      'tcsc0201',
	  'tcss0201',
      'tcss0301',
      'tcss0403',
	  'tcsu0201',
	  'tcsu0301',
	  'tcsu0302',
   } 
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end! 
   local MyIconPath = "/mods/expcruiser/textures"
   local oldUIFile = UIFile 
   function UIFile(filespec) 
      for i, v in MyUnitIdTable do 
         if string.find(filespec, v .. '_icon') then 
            local curfile =  MyIconPath .. filespec 
            if DiskGetFileInfo(curfile) then 
               return curfile 
            else 
               WARN('Blueprint icon for unit '.. control.Data.id ..' could not be found, check your file path and icon names!') 
            end 
         end 
      end 
      return oldUIFile(filespec) 
   end 
end 